Query Collection Order
Best practices
- Treat as successful when status==200 && orderStatus="SUCCESS"
- If timeout occurs or orderStatus is unavailable, do not change or conclude the order status
Endpoint
POST /cashin/bra/order/query
Request Headers
| Name | Required | Example | Description |
|---|---|---|---|
Content-Type | Yes | application/json | |
lang | No | en | Response language: zh Chinese, en English, pt Portuguese |
Request Parameters
| Field | Type | Required | Description |
|---|---|---|---|
sign | string | Yes | Verified name |
mchOrderNo | string | No | Merchant order number — Provide one of trxId, mchOrderNo, or platOrderNo |
mchId | integer | Yes | Merchant ID |
timestamp | integer | Yes | Current timestamp — Unix timestamp in seconds |
trxId | string | No | Bank transaction ID — Provide one of trxId, mchOrderNo, or platOrderNo; this field supports prefix search |
platOrderNo | string | No | Platform order number (recommended) — Provide one of trxId, mchOrderNo, or platOrderNo |
Request Example
json
{
"mchId": 10004,
"timestamp": 11843534885,
"mchOrderNo": "order_1684465826",
"trxId": "E22896431202305180049FAR5NYPXF8l",
"sign": "xxxxxxxx"
}Response Parameters
| Field | Type | Required | Description |
|---|---|---|---|
status | integer | Yes | Status |
msg | string | Yes | Message |
data | object | Yes | Data |
data.orderStatus | string enum | Yes | Order status — PENDING, SUCCESS, FAILED, REFUND |
data.amount | number | Yes | Actual paid amount |
data.timeEnd | integer | No | Completion time — Timestamp unit: seconds |
data.fee | string | Yes | Fee amount |
data.mchOrderNo | string | Yes | Merchant order number |
data.platOrderNo | string | Yes | Platform order number |
data.trxId | string | Yes | Bank transaction ID |
data.payerName | string | No | Payer name |
data.taxNumber | string | No | Payer CPF/CNPJ |
Response Example
json
{
"status": 200,
"msg": null,
"data": {
"mchOrderNo": "order_1662112944",
"platOrderNo": "P5nosqyWAQsQZNtYa5OW",
"trxId": "E00416968202309101937aZOHAzv6vkT",
"orderStatus": "PENDING",
"amount": "1200.00",
"fee": "14.00",
"payerName": "user name",
"taxNumber": "123456789012"
}
}